[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: XFS and Preempt for benh?

On Tue, 2003-12-02 at 23:41, Lee Braiden wrote:
> Hi,
> Are there xfs and preempt patches around for benh's 2.4.23?  I'd like to 
> upgrade, given some recent events :)

While I have no special thinking about XFS (this is not the case
of everybody, see what Al Viro thinks about the implementation on
a recent post to lkml), I strongly recomment NOT to use preempt
on a machine if you want this machine to be stable !

The 2.4 version is definitely a no-no. 2.6 went through a bunch
of infrastructure changes to do preempt "properly" (read: without
adding races all over the place) and still, preempt is known in
current 2.6 to still have problems, some generic, some PPC
specific. Using it on 2.4 is asking for real big trouble.


Reply to: